Trying to install ocsreports, it wants Apache2::SOAP. The install script uses the following command to test for Apache2::SOAP:

Code:
Atlas:~ # perl -mApache2::SOAP -e 'print "PERL module Apache2::SOAP is available\n"'
Can't locate Apache2/SOAP.pm in @INC (you may need to install the Apache2::SOAP module) (@INC contains: /usr/lib/perl5/site_perl/5.18.2/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.18.2 /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.18.2 /usr/lib/perl5/5.18.2/x86_64-linux-thread-multi /usr/lib/perl5/5.18.2 /usr/lib/perl5/site_perl .).
BEGIN failed--compilation aborted.
The system does not have Apache2::SOAP its has Apache::SOAP. So I change Apache2 to Apache and get the following:

Code:
Atlas:~ # perl -mApache::SOAP -e 'print "PERL module Apache2::SOAP is available\n"'
Could not find or load mod_perl at /usr/lib/perl5/vendor_perl/5.18.2/SOAP/Transport/HTTP.pm line 768.
Compilation failed in require.
BEGIN failed--compilation aborted.
The error is can not find mod_perl. If I copy mod_perl2.pm to mod_perl.pm in /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi, then I get past this error and get the following:

Code:
Atlas:~ # perl -mApache::SOAP -e 'print "PERL module Apache2::SOAP is available\n"'
Can't locate Apache/RequestRec.pm in @INC (you may need to install the Apache::RequestRec module) (@INC contains: /usr/lib/perl5/site_perl/5.18.2/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.18.2 /usr/lib/perl5/vendor_perl/5.18.2/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.18.2 /usr/lib/perl5/5.18.2/x86_64-linux-thread-multi /usr/lib/perl5/5.18.2 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/vendor_perl/5.18.2/SOAP/Transport/HTTP.pm line 781.
Compilation failed in require.
BEGIN failed--compilation aborted.
Either I am missing something or there is something wrong with Apache Perl modules naming.

Is any one else having problems with Apache::SOAP? Thanks.

Dave W